#
# spec file for package snphost
#
# Copyright (c) 2024 SUSE LLC
# Copyright (C) 2023 VirTEE
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           snphost
Version:        0.2.0~0
Release:        150600.1.7
Summary:        A Rust command-line tool for interacting with the AMD Secure Processor
License:        Apache-2.0
Group:          Productivity/Security
URL:            https://github.com/virtee/snphost
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  openssl-devel
BuildRequires:  rubygem(asciidoctor)
ExclusiveArch:  x86_64

%description
snphost is a command line utility for interacting with the AMD Secure Encrypted Virtualization - Secure Nested Paging (SEV-SNP) host environment (via the /dev/sev device).

%prep
# The number passed to -a (a stands for "after") should be equivalent to the Source tag number
# of the vendor tarball, 1 in this case (from Source1).
%autosetup -a1
install -D -m 644 %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Jan 22 2024 Caleb Crane (caleb.crane@suse.com)
- Update to version 0.2.0~0:
  * New Release
  * fmt: Fixing project structure (#18)
  * 14: Certificate Formatting (#17)
  * Update docs/snphost.1.adoc
  * PR-fixes: Addressing directory creation need
  * docs: Updating the documentation
  * certs: Adding CA and CRL functionality
  * Auto Assign: Adding yml files
  * reset: Reset SEV-SNP extended config instead of PLATFORM_RESET
- spec: Use rubygem() macro to resolve asciidoctor versions
* Fri Oct 13 2023 larry.j.dewey@gmail.com
- Update to version 0.1.2~0:
  * cargo: Update to 0.1.2
  * ok: Don't take mutable reference to arg
  * build: Don't fail on manpage build error
* Mon Jul 10 2023 larry.j.dewey@gmail.com
- Adding a build requirement conditional flag for 15.5, etc.
* Mon Jul 10 2023 larry.j.dewey@gmail.com
- Initial release of v0.1.1
